Skip to content
REST API

Manufacturers Endpoint

List manufacturers with a safe, read-only field projection.
GET https://api.elexess.com/functions/v1/manufacturers

Authentication

  • JWT or team API token (el_live_*)

Query Parameters

  • q (string, optional): matches name and long_name
  • country_code (string, optional): ISO country code, for example US, DE
  • limit (number, optional): page size (default 100, max 200)
  • offset (number, optional): pagination offset (default 0)

Response

{
  "count": 1,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "id": 19,
      "name": "Texas Instruments",
      "long_name": "Texas Instruments Incorporated",
      "description": "Semiconductor manufacturer",
      "country_code": "US",
      "website": "https://www.ti.com",
      "logo_url": "https://..."
    }
  ]
}

Exposed Fields

Only these fields are exposed:

  • id
  • name
  • long_name
  • description
  • country_code
  • website
  • logo_url